net.corda.node.services.network

## Class NodeRegistrationInfo

- net.corda.node.services.network.NodeRegistrationInfo

-     public class NodeRegistrationInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeRegistrationInfo(NodeRegistration reg, int mapVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeRegistration` | `component1()`
    `int` | `component2()`
    `NodeRegistrationInfo` | `copy(NodeRegistration reg, int mapVersion)`
    `boolean` | `equals(java.lang.Object p)`
    `int` | `getMapVersion()`
    `NodeRegistration` | `getReg()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NodeRegistrationInfo

          public NodeRegistrationInfo(NodeRegistration reg,
                                      int mapVersion)

  - ### Method Detail

    - #### getReg

          public NodeRegistration getReg()

    - #### getMapVersion

          public int getMapVersion()

    - #### component1

          public NodeRegistration component1()

    - #### component2

          public int component2()

    - #### copy

          public NodeRegistrationInfo copy(NodeRegistration reg,
                                           int mapVersion)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)